Bug 1195751 - [Fedora] RFE: project not belonging to any group
Summary: [Fedora] RFE: project not belonging to any group
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Zanata
Classification: Retired
Component: Usability
Version: 3.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Luke Brooker
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-24 13:49 UTC by Noriko Mizumoto
Modified: 2016-04-18 09:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 03:34:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1200250 None None None Never

Internal Links: 1200250

Description Noriko Mizumoto 2015-02-24 13:49:27 UTC
Description of problem:
If an owner create a project but did not or forgot to specify a group to belong, it can cause translators to miss out that project to work. Because generally (or at least myself) go to Group -> type of group -> own language -> display the list of project in this group, and then choose which to work. Therefore, no group assigned, translator may miss out that project.

Expected results:
1. Add the column of 'Group' in project listing
2. Force an owner to choose a group when creating new project
3. Or give at least a warning msg to an owner when creating new project

Additional info:

Comment 1 Michelle Kim 2015-03-02 23:59:00 UTC
Hi Noriko,

Thanks for filing the issue. We will have to investigate the way we use groups in Zanata. This is more of process than feature, however I will bring this issue to the team to find better way to do grouping of projects.

Comment 2 Michelle Kim 2015-03-03 23:34:42 UTC
Hi Noriko,

After reading your comments, I realized that you are asking for a feature to force project maintainers to link their project to a particular group.
As this feature may make sense to fedora workflow, it may not be applicable for other projects that do not have any grouping required.

I believe this is more of process management of fedora community than zanata workflow. What do you think? I will still bring this issue to the zanata team to see if theres any way we can help you with this issue.

In terms of Groups, how Fedora uses it is quite different from how it is used in other instances. For example, Groups on Zanata means group of particular versions of project, not project itself. We are investing a way to create new grouping mechanism such as "Organization" "Release Groups" so that it is more clear to everyone.

Comment 3 Noriko Mizumoto 2015-03-04 00:47:41 UTC
Hi Michelle

Thank you for evaluating the request.
Please notice that it is not requested the above all three to be happened but either of them. The issue here is simple, if a project not belonging to any group, there is hard for a translator and an admin to identify it's existence at this current situation. 

Current zanata, we only can display the projects in Alphabetical order, creation date order or status order. Either of them will not be helpful for translator when they choose a package to work. 

Let me give an example from Gnome project.
Here is all Gnome projects list which is very very long, and I believe as Gnome translator that none of Gnome translators refer to this list when choosing a package to work.
https://l10n.gnome.org/languages/ja/all/ui/

Gnome has groups (or may be different naming) of 'Core', 'Utility', 'Application', 'Accessibility', 'Game', 'Backend', 'Development tool', 'Core Library' and 'Additional Library'. Here we translators frequently refer to. Any smaller size of the teams concentrate to complete 'Core' group while bigger size of the teams can spread the efforts to different groups effectively.
https://l10n.gnome.org/languages/ja/gnome-3-16/ui/

noriko

Comment 4 Michelle Kim 2015-03-10 05:10:51 UTC
Hi Luke

As you had discussion with Noriko, can we draw out a workflow for this Group / Organizations feature in Zanata? Current Groups in Zanata doesn't satisfy the needs of Fedora community nor some of the upcoming projects that require dedicated groups. 

I would appreciate some technical details how we can implement the Organizations / Release Grouping better in Zanata and discuss the story points. Thanks

Comment 5 Carlos Munoz 2015-03-10 05:12:44 UTC
I think an "organizations" feature should go into a separate bug. This one is requesting something completely different.

Comment 6 Michelle Kim 2015-03-10 06:23:28 UTC
Noriko, we created a new issue (Please see also bug) that addresses the groups in Zanata.

Comment 7 Zanata Migrator 2015-07-29 03:34:00 UTC
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-324

Comment 8 Luke Brooker 2015-08-03 11:35:01 UTC
Removing need info as it has moved to JIRA.


Note You need to log in before you can comment on or make changes to this bug.